Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-3547

Overview

Vulnerability Score 9.0 9.0
CVE Id CVE-2008-3547
Last Modified 20 Mar 2009 01:46:12
Published 10 Mar 2009 05:30:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication SINGLE_INSTANCE

CVE-2008-3547

Summary

Buffer overflow in the server in OpenTTD 0.6.1 and earlier allows remote authenticated users to cause a denial of service (persistent game disruption) or possibly execute arbitrary code via vectors involving many long names for "companies and clients."

Vulnerable Systems

Application

  • Openttd 0.1.1

  • Openttd 0.1.2

  • Openttd 0.1.3

  • Openttd 0.1.4

  • Openttd 0.2.0

  • Openttd 0.2.1

  • Openttd 0.3.0

  • Openttd 0.3.1

  • Openttd 0.3.2

  • Openttd 0.3.2.1

  • Openttd 0.3.3

  • Openttd 0.3.4

  • Openttd 0.3.5

  • Openttd 0.3.6

  • Openttd 0.3.7

  • Openttd 0.4.0

  • Openttd 0.4.0.1

  • Openttd 0.4.5

  • Openttd 0.4.6

  • Openttd 0.4.7

  • Openttd 0.4.8

  • Openttd 0.5.0

  • Openttd 0.5.1

  • Openttd 0.5.2

  • Openttd 0.5.3

  • Openttd 0.6.0

  • Openttd 0.6.1


References

XF - openttd-companies-clients-bo(49221)

MISC - http://sourceforge.net/project/shownotes.php?release_id=617243

GENTOO - GLSA-200903-09

SECUNIA - 34161

MLIST - [oss-security] 20080807 Re: CVE id request: openttd

MLIST - [oss-security] 20080805 Re: CVE id request: openttd

MLIST - [oss-security] 20080804 CVE id request: openttd

CONFIRM - http://bugs.gentoo.org/show_bug.cgi?id=233929

CONFIRM - http://bugs.debian.org/493714


Last Updated: 27 May 2016 10:48:13